PETSc version 3.15.5
Fix/Edit manual page

# PCGAMGSetUseParallelCoarseGridSolve

allow a parallel coarse grid solver

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetUseParallelCoarseGridSolve(PC pc, PetscBool flg)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| flg | - PETSC_TRUE to not force coarse grid onto one processor

### Options Database Key

| -pc_gamg_use_parallel_coarse_grid_solver

### See Also

PCGAMGSetCoarseGridLayoutType(), PCGAMGSetCpuPinCoarseGrids()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetUseParallelCoarseGridSolve_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages